package com.zhentao.hotel.service;

import com.zhentao.hotel.domain.Hotels;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.hotel.dto.HotelDto;
import com.zhentao.vo.Result;

/**
* @author 86183
* @description 针对表【Hotels(酒店数据表，存储酒店的基本信息、联系方式、分类信息、设施与服务、价格信息、评价与评分等)】的数据库操作Service
* @createDate 2025-05-21 11:42:24
*/
public interface HotelsService extends IService<Hotels> {
    Result findAll(HotelDto hotelDto);
}
