package com.zhentao.service;

import com.zhentao.domain.UserLogin;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.dto.user.*;
import com.zhentao.vo.Result;
import org.apache.tomcat.jni.User;

import java.io.InputStream;

/**
* @author lenovo
* @description 针对表【user_login(用户)】的数据库操作Service
* @createDate 2025-05-16 18:48:43
*/
public interface UserLoginService extends IService<UserLogin> {

    //注册
    Result  register(UserRegister userRegister);
    //验证码
    Result note(NoteDto noteDto);

    //手机号登录
    Result login(UserLoginDto userLoginDto);

    //账号密码登录
    Result UserPassLogin(UserPassDto userPassDto);
//    忘记密码
    Result ForgetPass(ForgetPassDto forgetPassDto);
}
