package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 广告表
 * @TableName Advertisement
 */
@TableName(value ="Advertisement")
@Data
public class Advertisement implements Serializable {
    /**
     * 广告
     */
    @TableId
    private Long id;

    /**
     * 图片
     */
    private String image;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}