package com.zhentao.hotel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 酒店分类
 * @TableName hotel_sort
 */
@TableName(value ="hotel_sort")
@Data
public class HotelSort implements Serializable {
    /**
     * 分类的主键
     */
    @TableId
    private Long id;

    /**
     * 分类的名称
     */
    private String sortName;

    /**
     * 名称的类型
     */
    private String sortLei;

    /**
     * 创建的时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}