package com.zhentao.touristAttractions.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.touristAttractions.domain.Touristattractions;
import com.zhentao.touristAttractions.dto.TouristattrcationDto;
import com.zhentao.touristAttractions.service.TouristattractionsService;
import com.zhentao.touristAttractions.mapper.TouristattractionsMapper;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 86183
* @description 针对表【TouristAttractions(旅游信息表)】的数据库操作Service实现
* @createDate 2025-05-22 15:42:58
*/
@Service
public class TouristattractionsServiceImpl extends ServiceImpl<TouristattractionsMapper, Touristattractions>
    implements TouristattractionsService{
    @Override
    public Result findAll(TouristattrcationDto dto) {
        QueryWrapper<Touristattractions> queryWrapper = new QueryWrapper<>();
        queryWrapper.like("address",dto.getAddress());
        queryWrapper.like("name",dto.getName());
        queryWrapper.orderByDesc("rating");
        List<Touristattractions> list = this.list(queryWrapper);
        return Result.OK(list,"查询成功");
    }
}




